Subject: It is not possible to interact with a plugin that throw exceptions
Description

Hey there.

If a plugin throws an exception, now backend interaction handles such as "add new content element after" or "delete" are available.

A simple example: Create a plugin having a default action with a required property.
Real world example: orderController::checkoutAction($order)

Having a plugin with a required property makes sense if you want to allow editors to add regular content above and below such a
plugin.

Avoiding required properties in those actions destroys validation, so this is not a sollution.
I can think about three sollutions:
    1. Use default property when being in backend editing mode. This could be configured throug TypoScript or plugin configuration and
obviousely only works for plugins that don't trigger persistence::write() operations. 
    2. Make plugins skippable through TypoScript when being in backend editing mode.
    3. Catch all kind of exceptions like it's currently done, but don't skip interaction handler wrapping.

I would vote for both sullutions, 1 and 2. And number 2 should be default for all plugins with required arguments. I'm sure there are
several plugin situations that don't have required properties but fail to render propertly, too. So it's not only a problem for required
arguments.

Regards,
Stephan.

Related issues:
related to TYPO3.Neos - Task # 45531: In Backend, handle exceptions more grac... Closed 2013-02-16

History
#1 - 2013-04-10 21:16 - Aske Ertmann
- Status changed from New to Accepted
- Priority changed from Should have to Must have
- Target version set to 1.0 beta 1
- Parent task set to #45020

#2 - 2013-05-17 13:37 - Tim Kandel
- Assigned To set to Tim Kandel

#3 - 2013-07-16 19:05 - Tim Kandel
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
That's fixed by I608dc27c712229c52932c46df7f7dee9223ee4a4 (TYPO3.Neos) and Ia153201fa74ea927e12ebb99450d46bfed04d0eb
(TYPO3.TypoScript)

#4 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Resolved to Closed
